Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76745 - pam_smbpass.so missing from samba packages
Summary: pam_smbpass.so missing from samba packages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-25 18:02 UTC by Need Real Name
Modified: 2014-08-31 23:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-16 22:23:54 UTC


Attachments (Terms of Use)
Patch to samba.spec for samba-2.2.7-2.src.rpm (deleted)
2002-12-13 14:09 UTC, Juanjo Villaplana
no flags Details | Diff

Description Need Real Name 2002-10-25 18:02:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
Neither os samba packages contains pam_smbpass.so in RedHat 8.0

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install samba, samba-common and samba-client
2. where is pam_smbpass.so ?
3.
	

Actual Results:  Enable to use pam_smbpass.so

Expected Results:  Expected to find /lib/security/pam_smbpass.so

Additional info:

Comment 1 Michael Schwendt 2002-11-23 21:38:58 UTC
The most recent samba-2.2.7-1.7.3 errata release for Valhalla is missing this
PAM module, too.


Comment 3 Juanjo Villaplana 2002-12-13 14:09:54 UTC
Created attachment 88689 [details]
Patch to samba.spec for samba-2.2.7-2.src.rpm

I don't know if 'pam_smbpass' was removed from this RPM due to security issues,
but this patch reenables this PAM module.

You can recompile the samba packages with:

rpm -ivh samba-2.2.7-2.src.rpm
cd /usr/src/redhat/SPECS
patch < samba.spec.patch
rpmbuild -bb samba.spec

Comment 4 Michael Schwendt 2002-12-13 14:41:51 UTC
Linking for cross-reference: bug #79059

Comment 5 Juanjo Villaplana 2002-12-13 23:29:18 UTC
Comment on attachment 88689 [details]
Patch to samba.spec for samba-2.2.7-2.src.rpm

Sorry, the patch's file name was included as attachment instead of its
contents.

--------------------------------8<----------------8<---------------------------
-----------------
--- samba.spec.orig	2002-11-20 17:57:19.000000000 +0100
+++ samba.spec	2002-12-13 14:49:24.000000000 +0100
@@ -103,7 +103,7 @@
 %patch3 -p1 -b .gawk
 %patch5 -p1 -b .krb5-1.2
 %patch6 -p1 -b .buildroot
-%patch7 -p1 -b .smbpass
+#%patch7 -p1 -b .smbpass
 %patch13 -p1 -b .winsfixes
 %patch14 -p1 -b .locfix
 %patch15 -p1 -b .lfs
@@ -138,8 +138,8 @@
	--with-utmp \
	--with-piddir=/var/run/samba \
	--with-acl-support \
+	--with-pam_smbpass \
	--with-vfs
-#	--with-pam_smbpass \


 make  CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
@@ -201,9 +201,10 @@

 # pam_smbpass
 mkdir -p $RPM_BUILD_ROOT/lib/security
-#mv $RPM_BUILD_ROOT%{_bindir}/pam_smbpass.so
$RPM_BUILD_ROOT/lib/security/pam_smbpass.so
-#cp -r source/pam_smbpass/ docs/
-rm -f docs/pam_smbpass/*.*
+mv $RPM_BUILD_ROOT%{_bindir}/pam_smbpass.so
$RPM_BUILD_ROOT/lib/security/pam_smbpass.so
+mkdir docs/pam_smbpass
+cp -r source/pam_smbpass/{CHANGELOG,INSTALL,README,samples,TODO}
docs/pam_smbpass
+#rm -f docs/pam_smbpass/*.*

 # winbind
 install -m 755 source/nsswitch/pam_winbind.so
$RPM_BUILD_ROOT/lib/security/pam_winbind.so
@@ -299,7 +300,7 @@
 %doc examples/printing
 %doc examples/VFS/recycle/recycle.conf examples/VFS/recycle/README.vfs-recycle

-#attr(755,root,root) /lib/security/pam_smbpass.so
+%attr(755,root,root) /lib/security/pam_smbpass.so
 %{_sbindir}/smbd
 %{_sbindir}/nmbd
 %{_bindir}/make_unicodemap
--------------------------------8<----------------8<---------------------------
-----------------

As you can see, I only removed patch #7 which is no longer needed (it causes to
duplicate an object module in pam_smbpass.so compilation), enabled pam_smbpass
during configuration, and uncomented the lines regarding to pam_smbpass
inclussion on samba RPM (I also modified the copy of documentation files to
avoid inclusion of source and temporary object files into docs/pam_smbpass).

Comment 6 Javier P 2003-08-27 13:15:21 UTC
Samba 2.2.7-5.8.0 also lacks pam_smbpass.so

Comment 7 Michael Schwendt 2004-07-27 14:47:34 UTC
triage->duplicate (78881) : Same resolution as bug 78881 comment 2 and
comment 3?


Comment 8 Jay Fenlason 2004-11-16 22:23:54 UTC
pam_smbpass is included in current Samba rpms. 


Note You need to log in before you can comment on or make changes to this bug.